gromox-eml2mt(8)

Name
gromox-eml2mt — Utility for analysis/importing various formats

Synopsis
gromox-eml2mt [-Ppt] file.eml[...]

gromox-ical2mt [-Ppt] file.ics[...]

gromox-mbox2mt [-Ppt] file.mbox[...]

gromox-tnef2mt [-Ppt] file.tnef[...]

gromox-vcf2mt [-Ppt] file.vcf[...]

Description
gromox-eml2mt reads one or more RFC5322-formatted e-mail messages and re-exports the data in a Gromox-specific mailbox transfer format to stdout for consumption by pipe by the gromox-mt2exm(8gx) program. Each file must contain at most one RFC5322 message.

When called as gromox-mbox2mt, the input is treated as RFC4155-formatted Unix mailbox.

When called as gromox-ical2mt, the input is treated as RFC5545-formatted calendaring and scheduling objects (.ics).

When called as gromox-vcf2mt, the input is treated as RFC4770/6530-formatted vCard objects (.vcf).

When called as gromox-tnef2mt, the input is treated as a MS-OXTNEF object.

eml2mt will resolve email addresses to Gromox objects already, so the emitted data stream should be consumed by an mt2exm invocation on the same Gromox cluster.

Options

--decap=n
    Once a MAPI message object is constructed, select attachment number n's embedded message as the "top-level" message and discard the rest of the outer message. n is 1-based.

--ical
    Treat all file arguments as iCalendar input. This is the default if the program was invoked as gromox-ical2mt. Messages will be anchored to the calendar folder.

--mail
    Treat all file arguments as Internet Mail input. This is the default if the program was invoked as gromox-eml2mt. Messages remain unanchored, and you can use the mt2exm -B option.

--mbox
    Treat all file arguments as Unix mboxes. This is the default if the program was invoked as gromox-mbox2mt. Messages remain unanchored, and you can use the mt2exm -B option.

--oneoff
    Do not resolve email addresses to EX addresses, but to ONEOFF instead. This way, streams created by eml2mt can be imported into other Gromox clusters that do not have the same user set.

--tnef
    Treat all file arguments as Transport Neutral Encapsulation Format objects. This is the default if the program was invoked as gromox-tnef2mt. Messages remain unanchored, and you can use the mt2exm -B option.

--vcard
    Treat all file arguments as vCard input. This is the default if the program was invoked as gromox-vcf2mt. Messages will be anchored to the contacts folder.

-P  Enable super-pedantic mode when parsing VCARDs and reject everything that is not recognized. (Not recommended)

-p  Show properties in detail (enhances -t). Using -p twice prints properties with human-readable mnemonic names.

-t  Show a diagnostic tree view of the source data as it is being read.

Examples
Import of an RFC5322 message (sometimes with .eml file extension) to drafts:

gromox-eml2mt msg.eml | gromox-mt2exm -u recipient@domain.example -B drafts

Import of calendar objects:

gromox-ical2mt meeting.ics | gromox-mt2exm -u recipient@domain.example

See also
gromox(7), gromox-exm2eml(8), gromox-mt2exm(8)